Subject: bug#62155: closed (Re: bug#62155: 30.0.50; elixir-ts-mode.elc warning)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Mar 2023 07:54:01 +0000

Your bug report

#62155: 30.0.50; elixir-ts-mode.elc warning

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62155: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62155
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62155: 30.0.50; elixir-ts-mode.elc warning
From: Eli Zaretskii <[email-masked]>
To: Wilhelm Kirschbaum <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 16 Mar 2023 09:53:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Wilhelm Kirschbaum <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 13 Mar 2023 22:07:27 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked], [email-masked]
> >> From: Wilhelm Kirschbaum <[email-masked]>
> >> Date: Mon, 13 Mar 2023 15:08:10 +0200
> >> 
> >> I can see there is still an issue with loading heex-ts-mode 
> >> from 
> >> elixir-ts-mode, but not quite sure how to
> >> immediately resolve it. I will have a look in a couple of 
> >> hours.
> >
> > One possibility is to add defvar for each variable defined by
> > heex-ts-mode that elixir-ts-mode needs to use, and remove the 
> > require
> > of heex-ts-mode.  Since heex-ts-mode is loaded at run time, I 
> > think
> > this should be enough.
> >
> 
> Thank you, this seems to work well.

Thanks, installed on the master branch.

Subject: 30.0.50; elixir-ts-mode.elc warning
From: Po Lu <[email-masked]>
To: [email-masked]
Date: Mon, 13 Mar 2023 10:06:50 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I get this building elixir-ts-mode:

  ELC      progmodes/elixir-ts-mode.elc
Warning (treesit): Cannot activate tree-sitter, because tree-sitter library is not compiled with Emacs

Would someone please DTRT?